Page MenuHomePhabricator

MassMessage preview is returning an Internal 500 error
Closed, ResolvedPublic

Description

MassMessage requires a preview step before sending.

Preview returns the attached screenshot. with the error message copied here:

Request from 2601:243:402:6830:61b0:b08b:f43d:c32c via cp2019 cp2019, Varnish XID 177303312
Error: 500, Internal Server Error at Thu, 15 Feb 2018 22:20:49 GMT

MassMessage is unable to complete the sending process without completing preview, so this breaks the tool.

Event Timeline

Keegan created this task.Feb 15 2018, 10:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 10:26 PM

Hmm. This reminds me of T186098 but in a different page.

MarcoAurelio triaged this task as Unbreak Now! priority.Feb 15 2018, 10:31 PM
MarcoAurelio added subscribers: Noella94, Legoktm.

Break confirmed on preview:

Request from [redacted] via cp3030 cp3030, Varnish XID 485866892
Error: 500, Internal Server Error at Thu, 15 Feb 2018 22:30:22 GMT

@Legoktm @Noella94 Please investigate your recent contributions on the extension :)

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptFeb 15 2018, 10:31 PM

PHP Fatal Error: Class undefined: MediaWiki\MassMessage\MediaWikiServices

Change 411165 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/MassMessage@master] Fix use statement for MediaWikiServices

https://gerrit.wikimedia.org/r/411165

Change 411167 had a related patch set uploaded (by Chad; owner: Legoktm):
[mediawiki/extensions/MassMessage@wmf/1.31.0-wmf.21] Fix use statement for MediaWikiServices

https://gerrit.wikimedia.org/r/411167

Change 411165 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Fix use statement for MediaWikiServices

https://gerrit.wikimedia.org/r/411165

Change 411167 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@wmf/1.31.0-wmf.21] Fix use statement for MediaWikiServices

https://gerrit.wikimedia.org/r/411167

Mentioned in SAL (#wikimedia-operations) [2018-02-15T22:54:46Z] <demon@tin> Synchronized php-1.31.0-wmf.21/extensions/MassMessage/includes/MassMessage.php: fix use statement, T187510 (duration: 00m 57s)

Quiddity closed this task as Resolved.Feb 15 2018, 10:58 PM
Quiddity assigned this task to Legoktm.